import request from '@/utils/request'

// 查询相册管理列表
export function listUserAlbum(query) {
  return request({
    url: '/cai/userAlbum/list',
    method: 'get',
    params: query
  })
}

// 查询相册管理详细
export function getUserAlbum(id) {
  return request({
    url: '/cai/userAlbum/' + id,
    method: 'get'
  })
}

// 新增相册管理
export function addUserAlbum(data) {
  return request({
    url: '/cai/userAlbum',
    method: 'post',
    data: data
  })
}

export function auditSuccessUserAlbum(data) {
  return request({
    url: '/cai/userAlbum/audit/success',
    method: 'put',
    data: data
  })
}

export function auditFailUserAlbum(data) {
  return request({
    url: '/cai/userAlbum/audit/fail',
    method: 'put',
    data: data
  })
}

// 删除相册管理
export function delUserAlbum(id) {
  return request({
    url: '/cai/userAlbum/' + id,
    method: 'delete'
  })
}
